Products

Read

GET https://interay.io/api/v1/products/get

Read product details

type

object

properties

  • entity

The product unique identifier. Product Unique ID

type

string (UUID)

Response

type

object

properties

  • uid

Unique ID

type

string (UUID)

  • enabled

Enabled

type

boolean

  • name

Name

type

string

Example request

GET https://interay.io/api/v1/products/get?product=00000000-0000-0000-0000-000000000000
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Example response

200 OK
Content-Type: application/json
{
        "displayName": "Docs",
        "uid": "00000000-0000-0000-0000-000000000000",
        "enabled": true,
        "link": "https://interay.io/admin/products/00000000-0000-0000-0000-000000000000",
        "name": "Docs"
}

Read List

GET https://interay.io/api/v1/products/list

Read products details

type

object

properties

  • entity

The parent unique identifier. Product Unique ID / Location Unique ID

type

string (UUID)

  • i

Zero-based result index (pagination offset)

type

number

default

0

  • l

Maximum number of results (pagination limit)

type

number

default

unlimited

  • q

Search query

type

string

Response

type

array

items

type

object

properties

  • uid

Unique ID

type

string (UUID)

  • enabled

Enabled

type

boolean

  • name

Name

type

string

Notes

  1. All products are listed in the result when no entity or q is specified.

  2. Search query is partially matching the product name or parent name.

Example request

GET https://interay.io/api/v1/products/list
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Example response

200 OK
Content-Type: application/json
[
        {
                "displayName": "Docs",
                "uid": "00000000-0000-0000-0000-000000000000",
                "enabled": true,
                "link": "https://interay.io/admin/products/00000000-0000-0000-0000-000000000000",
                "name": "Docs"
        }
]

Write

POST https://interay.io/api/v1/products/set

Write product details

type

object

properties

  • entity

The product unique identifier. Product Unique ID

type

string (UUID)

  • values

The product details

type

object

properties

  • enabled

Enabled

type

boolean

  • name

Name

type

string

Notes

  1. Only specified details with a different value are overwritten. Existing non-specified details are preserved.

Example request

POST https://interay.io/api/v1/products/set
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json
{
        "entity": "00000000-0000-0000-0000-000000000000",
        "values": {
                "enabled": true,
                "name": "Docs",
        }
}

Example response

200 OK